import { getRandom } from "@tsparticles/engine";
export function generateRandomPointWithinPath(ctx, path, center, size) {
    let randomPoint = null;
    for (let attempts = 0; attempts < 100; attempts++) {
        const tmpPoint = {
            x: center.x + getRandom() * size.width - size.width / 2,
            y: center.y + getRandom() * size.height - size.height / 2,
        };
        if (ctx.isPointInPath(path, tmpPoint.x, tmpPoint.y)) {
            randomPoint = tmpPoint;
            break;
        }
    }
    return randomPoint;
}
export function generateRandomPointOnPathPerimeter(ctx, path, center, size) {
    let randomPoint = null;
    for (let attempts = 0; attempts < 100; attempts++) {
        const tmpPoint = {
            x: center.x + getRandom() * size.width - size.width / 2,
            y: center.y + getRandom() * size.height - size.height / 2,
        };
        if (ctx.isPointInStroke(path, tmpPoint.x, tmpPoint.y)) {
            randomPoint = tmpPoint;
            break;
        }
    }
    return randomPoint;
}
